Subject: bug#55279: Bug Report: guix pull

From: Maxime Devos <[email-masked]>
Date: Fri, 13 May 2022 17:22:20 +0200

blitz schreef op vr 13-05-2022 om 15:01 [+0000]:
> Hi Maxime,
> 
> running "guix pull" again produced a similar looking output to the one I 
> sent previously.
> 
> I looked at the link
> 
> <https://issues.guix.gnu.org/50238>
> 
> you sent and I'm motivated to apply your patch.
> 
> However, I'm not sure how to do it. Could you point me to how to do that?

The section ‘(guix)Contributing’ of the Guix manual has some
information on setting up a build environment (see "guix shell -D ..."
and ./configure --localstatedir=/var in ‘Building from Git’)’.  After
running "make", you can download the latest patch from
<https://issues.guix.gnu.org/50238#9>, apply it with "git am" and try
"make && ./pre-inst-env guix pull".

Greetings,
Maxime